summaryrefslogtreecommitdiffstats
path: root/source/a/file
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/file')
-rw-r--r--source/a/file/file.PT_DYNAMIC.is.dynamically.linked.diff10
-rwxr-xr-xsource/a/file/file.SlackBuild8
2 files changed, 16 insertions, 2 deletions
diff --git a/source/a/file/file.PT_DYNAMIC.is.dynamically.linked.diff b/source/a/file/file.PT_DYNAMIC.is.dynamically.linked.diff
new file mode 100644
index 000000000..a0cd83b9b
--- /dev/null
+++ b/source/a/file/file.PT_DYNAMIC.is.dynamically.linked.diff
@@ -0,0 +1,10 @@
+--- ./src/readelf.c.orig 2019-12-15 21:49:19.000000000 -0600
++++ ./src/readelf.c 2019-12-20 13:14:15.377556623 -0600
+@@ -1638,6 +1638,7 @@
+ /* Things we can determine before we seek */
+ switch (xph_type) {
+ case PT_DYNAMIC:
++ linking_style = "dynamically";
+ doread = 1;
+ break;
+ case PT_NOTE:
diff --git a/source/a/file/file.SlackBuild b/source/a/file/file.SlackBuild
index 78c07b374..fa6a4f6da 100755
--- a/source/a/file/file.SlackBuild
+++ b/source/a/file/file.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2005-2008, 2009, 2010, 2013, 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2008, 2009, 2010, 2013, 2015, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=file
VERSION=${VERSION:-$(echo file-*.tar.?z* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -92,6 +92,10 @@ autoreconf -vif || exit 1
# versions of file to avoid breaking existing scripts:
zcat $CWD/file.short.diff.gz | patch -p1 -E --verbose || exit 1
+# Output on ELF objects should be "dynamically linked" for PT_DYNAMIC too, not
+# just for PT_INTERP:
+zcat $CWD/file.PT_DYNAMIC.is.dynamically.linked.diff.gz | patch -p1 -E --verbose || exit 1
+
# Add zisofs and crda regulatory bin detection
zcat $CWD/file.zisofs.magic.gz >> magic/Magdir/compress
zcat $CWD/file.crdaregbin.magic.gz >> magic/Magdir/crdaregbin